External Data
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
POST | |
POST |
Create external data schemas reload
Required API key scopes
external_data_source:writePath parameters
- idstring
Request parameters
- should_syncboolean
- sync_type
- incremental_fieldstringnull
- incremental_field_type
- sync_frequency
- sync_time_of_daystringnull
- primary_key_columnsarraynull
- cdc_table_mode
- enabled_columnsarraynull
Example request
POST /api /projects /:project_id /external_data_schemas /:id /reloadExample response
Status 200 No response body
Create external data schemas resync
Required API key scopes
external_data_source:writePath parameters
- idstring
Request parameters
- should_syncboolean
- sync_type
- incremental_fieldstringnull
- incremental_field_type
- sync_frequency
- sync_time_of_daystringnull
- primary_key_columnsarraynull
- cdc_table_mode
- enabled_columnsarraynull
Example request
POST /api /projects /:project_id /external_data_schemas /:id /resync